CitrixServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.citrix.CitrixServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.citrix
Interface CitrixServer

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface CitrixServer

extends AppServer

Naming Rules:
  0="zone,localPrimarySAP,keyName"
Persistable:
  true
Top Level:
  false
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`RUNNING, STOPPED`

Method Summary
`CitrixApplication[]` | `getApplications()`
`java.lang.String` | `getFeatureReleaseLevel()`
`CitrixServerFolder` | `getFolder()`
`long` | `getInstallDate()`
`boolean` | `getIsFarmServer()`
`BindAddress` | `getLocalPrimarySAP()`
`boolean` | `getLoginsEnabled()`
`java.lang.String` | `getMFWinProductCode()`
`RuntimeProcess[]` | `getProcesses()`
`java.lang.String` | `getReleaseLevel()`
`int` | `getServerType()`
`CitrixZone` | `getZone()`
`java.lang.String` | `getZoneRanking()`
`boolean` | `hasApplications()`
`boolean` | `hasFeatureReleaseLevel()`
`boolean` | `hasFolder()`
`boolean` | `hasInstallDate()`
`boolean` | `hasIsFarmServer()`
`boolean` | `hasLocalPrimarySAP()`
`boolean` | `hasLoginsEnabled()`
`boolean` | `hasMFWinProductCode()`
`boolean` | `hasProcesses()`
`boolean` | `hasReleaseLevel()`
`boolean` | `hasServerType()`
`boolean` | `hasZone()`
`boolean` | `hasZoneRanking()`
`void` | `setApplications(CitrixApplication[] x)`
`void` | `setFeatureReleaseLevel(java.lang.String x)`
`void` | `setFolder(CitrixServerFolder x)`
`void` | `setInstallDate(long x)`
`void` | `setIsFarmServer(boolean x)`
`void` | `setLocalPrimarySAP(BindAddress x)`
`void` | `setLoginsEnabled(boolean x)`
`void` | `setMFWinProductCode(java.lang.String x)`
`void` | `setProcesses(RuntimeProcess[] x)`
`void` | `setReleaseLevel(java.lang.String x)`
`void` | `setServerType(int x)`
`void` | `setZone(CitrixZone x)`
`void` | `setZoneRanking(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getLocalPrimarySAP

    BindAddress getLocalPrimarySAP()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setLocalPrimarySAP

    void setLocalPrimarySAP(BindAddress x)

### hasLocalPrimarySAP

    boolean hasLocalPrimarySAP()

### getReleaseLevel

    java.lang.String getReleaseLevel()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReleaseLevel

    void setReleaseLevel(java.lang.String x)

### hasReleaseLevel

    boolean hasReleaseLevel()

### getIsFarmServer

    boolean getIsFarmServer()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIsFarmServer

    void setIsFarmServer(boolean x)

### hasIsFarmServer

    boolean hasIsFarmServer()

### getMFWinProductCode

    java.lang.String getMFWinProductCode()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMFWinProductCode

    void setMFWinProductCode(java.lang.String x)

### hasMFWinProductCode

    boolean hasMFWinProductCode()

### getServerType

    int getServerType()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerType

    void setServerType(int x)

### hasServerType

    boolean hasServerType()

### getApplications

    CitrixApplication[] getApplications()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="false"

### setApplications

    void setApplications(CitrixApplication[] x)

### hasApplications

    boolean hasApplications()

### getProcesses

    RuntimeProcess[] getProcesses()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setProcesses

    void setProcesses(RuntimeProcess[] x)

### hasProcesses

    boolean hasProcesses()

### getLoginsEnabled

    boolean getLoginsEnabled()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLoginsEnabled

    void setLoginsEnabled(boolean x)

### hasLoginsEnabled

    boolean hasLoginsEnabled()

### getZoneRanking

    java.lang.String getZoneRanking()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setZoneRanking

    void setZoneRanking(java.lang.String x)

### hasZoneRanking

    boolean hasZoneRanking()

### getZone

    CitrixZone getZone()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setZone

    void setZone(CitrixZone x)

### hasZone

    boolean hasZone()

### getFeatureReleaseLevel

    java.lang.String getFeatureReleaseLevel()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFeatureReleaseLevel

    void setFeatureReleaseLevel(java.lang.String x)

### hasFeatureReleaseLevel

    boolean hasFeatureReleaseLevel()

### getInstallDate

    long getInstallDate()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInstallDate

    void setInstallDate(long x)

### hasInstallDate

    boolean hasInstallDate()

### getFolder

    CitrixServerFolder getFolder()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setFolder

    void setFolder(CitrixServerFolder x)

### hasFolder

    boolean hasFolder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD